# https://www.stigviewer.com/stig/red_hat_enterprise_linux_7/2020-12-08/finding/V-204452
- name: Ensure old software components are removed
  lineinfile:
    path: /etc/yum.conf
    regex: "^clean_requirements_on_remove"
    line: "clean_requirements_on_remove=1"
  notify:
    - update aide db
  tags:
    - STIG

# https://www.stigviewer.com/stig/red_hat_enterprise_linux_7/2020-12-08/finding/V-204448
- name: Ensure local_gpgcheck=1
  lineinfile:
    path: /etc/yum.conf
    regex: "^localpkg_gpgcheck"
    line: "localpkg_gpgcheck=1"
  notify:
    - update aide db
  tags:
    - STIG

- name: Update system
  yum:
    name: "*"
    state: latest
  async: 900
  poll: 10
  notify:
    - reboot if needed
    - update aide db
  when: not centos_base_update_protect
